Get Recent Trades
Request Example
curl "https://api.mexc.com/api/v1/contract/deals/BTC_USDT"
Response Example
{
"success": true,
"code": 0,
"data": [
{
"p": 109177.4,
"v": 14,
"T": 1,
"O": 1,
"M": 2,
"t": 1761883066648
},
{
"p": 109177.4,
"v": 12,
"T": 1,
"O": 1,
"M": 2,
"t": 1761883066624
}
]
}
- GET
/api/v1/contract/deals/{symbol}
Request Parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
| symbol | string | true | Contract symbol |
| limit | int | false | Number of results, max 100, default 100 if omitted |
Response Parameters:
| Parameter | Type | Description |
|---|---|---|
| p | decimal | Trade price |
| v | decimal | Quantity |
| T | int | Trade side: 1 buy, 2 sell |
| O | int | Open/Close flag: 1 both taker and maker open; 2 both not open; 3 other; if 1, vol is added position |
| M | int | Self-trade: 1 yes, 2 no |
| t | long | Trade time |